<p align="center">
  <img src="https://github.com/BBasile/Coedit/raw/master/logo/coedit.png?raw=true" width="15%" height="15%" alt="CE"/>
</p>

Coedit is an IDE for the [D programming language](http://dlang.org), its compilers, tools and libraries.

[![](http://bbasile.github.io/Coedit/img/coedit_kde4_thumb.png)](http://bbasile.github.io/Coedit/img/coedit_kde4.png)

**Overview**
---
- available for _Windows_ or _Linux_.
- supports all the D compilers (DMD-GDC-LDC).
- supports the DUB projects (JSON + SDL) and also Coedit own project format.
- support the DUB scripts (aka single file packages) and Coedit own script format (aka runnable modules).
- single click to compile and to _unittest_ a module.
- advanced editor with D2 syntax highlighter, folds, regions, identifier markup, macros, sync-edit, etc.
- edition helpers: comment blocks, local identifier renaming, brace auto-closing, etc.
- list of the symbols in the module being edited.
- static libraries manager that supports auto-registration from local DUB projects, from online DUB packages or from Coedit custom project format.
- todo list based on the _todo comments_ located in a project or in the current source.
- user-defined tools powered by a string interpolation system.
- full [D Completion Daemon](https://github.com/Hackerpilot/DCD) integration (completion, hints, call tips, jump to symbol declaration).
- mini file browser, dfmt interface, search & replace, [discover more in the manual](http://bbasile.github.io/Coedit/).

**Project information**
---

- latest release: version 3, beta 3, Fri 27 Jan 2017.
- licensed under the terms of the Boost license.
- Development can be supported by [donating here](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=AQDJVC39PJF7J).

**Download version 3 beta 3**
---
Download the zipped binaries or the zip that contains the setup program for you platform:

- :package: [setup program for Linux 32 bit](https://github.com/BBasile/Coedit/releases/download/3_beta_3/coedit.3beta3.linux32.setup.zip)
- :package: [binaries for Linux 32 bit](https://github.com/BBasile/Coedit/releases/download/3_beta_3/coedit.3beta3.linux32.zip)
- :package: [setup program for Linux 64 bit](https://github.com/BBasile/Coedit/releases/download/3_beta_3/coedit.3beta3.linux64.setup.zip)
- :package: [binaries for Linux 64 bit](https://github.com/BBasile/Coedit/releases/download/3_beta_3/coedit.3beta3.linux64.zip)
- :package: [setup program for Windows 32/64 bit](https://github.com/BBasile/Coedit/releases/download/3_beta_3/coedit.3beta3.win32.setup.zip)
- :package: [binaries for Windows 32/64 bit](https://github.com/BBasile/Coedit/releases/download/3_beta_3/coedit.3beta3.win32.zip)
- :package: [rpm for Linux 64 bit](https://github.com/BBasile/Coedit/releases/download/3_beta_3/coedit-3-beta3.x86_64.rpm)

[**See this page**](http://bbasile.github.io/Coedit/setup.html) for more information about the setup.

**Build**
---

The procedure is described in [**this page**](http://bbasile.github.io/Coedit/build.html).